#ifndef MOUSEWHEELEVENT_HPP_INCLUDED
#define MOUSEWHEELEVENT_HPP_INCLUDED

#include <cstdint>
#include "Object.hpp"

class MouseWheelEvent : public Object
{
    public:
        MouseWheelEvent();
        MouseWheelEvent(void* Object);
        MouseWheelEvent(const MouseWheelEvent& M);
        MouseWheelEvent(Object Source, std::int32_t ID, std::int64_t When, std::int32_t Modifiers,
                        std::int32_t X, std::int32_t Y, std::int32_t ClickCount, bool PopupTrigger,
                        std::int32_t ScrollType, std::int32_t ScrollAmount, std::int32_t WheelRotation);
};

#endif // MOUSEWHEELEVENT_HPP_INCLUDED
